#!/bin/sh

# nmtuiWin:
# wrapper around alacritty and nmtui to provide easy access to network config
# alaritty config file is provided to hardcode colors for the ncurses interface
# (c) 2020 Derek Stevens <drkste@zoho.com>
# MIT License -- do whatever you want

if [ $(pgrep nmtui) -gt 0 ]; then
  exec alacritty -t "Network Configuration" \
    --config-file ~/src/zenUtils/nmtui_alacritty.yml -e nmtui &
else
  killall nmtui
fi
